Bug 1465465 - Container Product Feature in a Role Required for VM Visibility Menu Box
Container Product Feature in a Role Required for VM Visibility Menu Box
Status: VERIFIED
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.8.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.9.0
Assigned To: Harpreet Kataria
Landon LaSmith
: TestOnly, ZStream
Depends On:
Blocks: 1498891
  Show dependency treegraph
 
Reported: 2017-06-27 09:34 EDT by myoder
Modified: 2017-10-19 12:50 EDT (History)
6 users (show)

See Also:
Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1498891 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Bug
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)
VM Visibility Box (10.60 KB, image/png)
2017-06-27 09:34 EDT, myoder
no flags Details

  None (edit)
Description myoder 2017-06-27 09:34:08 EDT
Created attachment 1292337 [details]
VM Visibility Box

Description of problem:
In order to enable the VM Visibility toggle menu under My Settings => Default Views, 2 Product Features [1] must be enabled under a custom Role.  It seems the Containers section is irrelevant for visibility of VMs.

[1] 
Compute => Containers => Pods => View = > List 
Settings => My Settings => Modify => Default Views

Version-Release number of selected component (if applicable):
5.8.0.17

How reproducible:
Always

Steps to Reproduce:
1. Create a custom role.
2. Enable the 2 roles listed in description.
3. User can now toggle VM Visiblity under the My Settings => Default Views section.

Actual results:
Comput => Containers => Pods => View => List is required in a role for users to be able to toggle the VM Visibility option.

Expected results:
I expect Containers not be involved in this option, maybe the Product Feature under Infrastructure or Cloud, but not Containers.

Additional info:
Attached a photo of the VM Visibility toggle menu box.
Comment 11 CFME Bot 2017-10-04 13:53:56 EDT
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/04e384579eb329f2ce5f5e67cb6942cd9e44f9fb

commit 04e384579eb329f2ce5f5e67cb6942cd9e44f9fb
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Tue Oct 3 14:34:00 2017 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Tue Oct 3 14:34:00 2017 -0400

    Fixed VM visibility fieldset alignment.
    
    VM Visibility switch was inside an incorrect if block, moved it out of the if block
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1465465

 app/views/configuration/_ui_2.html.haml | 30 +++++++++++++++---------------
 1 file changed, 15 insertions(+), 15 deletions(-)
Comment 13 Landon LaSmith 2017-10-19 12:50:35 EDT
VERIFIED. "VM Visibility" is visible when RBAC Container features are disabled.

Version: 5.9.0.2.20171010190026_0413a06

Note You need to log in before you can comment on or make changes to this bug.